package com.wechat.dao;

import java.util.List;
import java.util.Map;

import com.wechat.global.base.annotation.MyBatisDao;
import com.wechat.global.base.dao.CrudDao;
import com.wechat.model.dbEntity.MdeInterview;
import com.wechat.model.dto.InterviewDetailDto;
import com.wechat.model.dto.InterviewListDto;

@MyBatisDao
public interface MdeInterviewDao extends CrudDao<MdeInterview>  {
	
	public List<InterviewListDto> getIntvListP(String interviewee);
	
	
	public List<InterviewListDto> getIntvListB(String publisher);
	
	public InterviewDetailDto getIntvDetail(Map<String,String> map);
	
	
	/**
	 *  确认面试时间
	 * @param entity
	 * @return
	 */
	int confirmIntvTime(MdeInterview entity);
	
	/**
	 * 修改状态
	 * @param entity
	 * @return
	 */
	int updateIntvStatus(MdeInterview entity);
	
	/**
	 * 获取视频面试房间信息
	 * @param entity
	 * @return
	 */
	public MdeInterview getIntvByRoomId(MdeInterview entity);
}
